Merge "update qtip validate jobs"
authorFatih Degirmenci <fatih.degirmenci@ericsson.com>
Mon, 20 Mar 2017 13:06:30 +0000 (13:06 +0000)
committerGerrit Code Review <gerrit@opnfv.org>
Mon, 20 Mar 2017 13:06:30 +0000 (13:06 +0000)
16 files changed:
jjb/fuel/fuel-build.sh
jjb/fuel/fuel-daily-jobs.yml
jjb/multisite/fuel-deploy-for-multisite.sh
jjb/multisite/multisite-daily-jobs.yml
jjb/xci/bifrost-cleanup-job.yml [moved from jjb/infra/bifrost-cleanup-job.yml with 100% similarity]
jjb/xci/bifrost-verify-jobs.yml [moved from jjb/infra/bifrost-verify-jobs.yml with 100% similarity]
jjb/xci/bifrost-verify.sh [moved from jjb/infra/bifrost-verify.sh with 100% similarity]
jjb/xci/xci-daily-jobs.yml [new file with mode: 0644]
jjb/xci/xci-deploy.sh [new file with mode: 0755]
jjb/xci/xci-functest.sh [new file with mode: 0755]
jjb/xci/xci-provision.sh [new file with mode: 0755]
prototypes/bifrost/scripts/destroy-env.sh
prototypes/bifrost/scripts/osa-bifrost-deployment.sh [new file with mode: 0755]
prototypes/openstack-ansible/scripts/osa_deploy.sh
prototypes/openstack-ansible/var/ubuntu.yml
utils/test/reporting/functest/testCase.py

index c66dc3d..e1a4c02 100755 (executable)
@@ -25,8 +25,10 @@ if [[ "$JOB_NAME" =~ "daily" ]]; then
     echo "Checking to see if we already built and stored Fuel ISO for this commit"
 
     curl -s -o $LATEST_ISO_PROPERTIES http://$GS_URL/latest.properties 2>/dev/null
+fi
 
-    # get metadata of latest ISO
+# get metadata of latest ISO
+if grep -q OPNFV_GIT_SHA1 $LATEST_ISO_PROPERTIES 2>/dev/null; then
     LATEST_ISO_SHA1=$(grep OPNFV_GIT_SHA1 $LATEST_ISO_PROPERTIES | cut -d'=' -f2)
     LATEST_ISO_URL=$(grep OPNFV_ARTIFACT_URL $LATEST_ISO_PROPERTIES | cut -d'=' -f2)
 else
index 9e7c303..3e79ae8 100644 (file)
 - trigger:
     name: 'fuel-os-nosdn-kvm_ovs_dpdk-ha-baremetal-daily-danube-trigger'
     triggers:
-        - timed: ''
+        - timed: '0 12 * * *'
 - trigger:
     name: 'fuel-os-nosdn-kvm_ovs_dpdk_bar-ha-baremetal-daily-danube-trigger'
     triggers:
-        - timed: ''
+        - timed: '0 8 * * *'
 # NOHA Scenarios
 - trigger:
     name: 'fuel-os-nosdn-nofeature-noha-baremetal-daily-danube-trigger'
 - trigger:
     name: 'fuel-os-nosdn-kvm_ovs_dpdk-noha-virtual-daily-danube-trigger'
     triggers:
-        - timed: ''
+        - timed: '0 16 * * *'
 - trigger:
     name: 'fuel-os-nosdn-kvm_ovs_dpdk_bar-noha-virtual-daily-danube-trigger'
     triggers:
-        - timed: ''
+        - timed: '0 20 * * *'
 #-----------------------------------------------
 # ZTE POD1 Triggers running against master branch
 #-----------------------------------------------
index 0661761..71c6cc1 100755 (executable)
@@ -19,9 +19,9 @@ else
 fi
 
 export TERM="vt220"
-
+export BRANCH=$(echo $BRANCH | sed 's/stable\///g')
 # get the latest successful job console log and extract the properties filename
-FUEL_DEPLOY_BUILD_URL="https://build.opnfv.org/ci/job/fuel-deploy-virtual-daily-master/lastSuccessfulBuild/consoleText"
+FUEL_DEPLOY_BUILD_URL="https://build.opnfv.org/ci/job/fuel-deploy-virtual-daily-$BRANCH/lastSuccessfulBuild/consoleText"
 FUEL_PROPERTIES_FILE=$(curl -s -L ${FUEL_DEPLOY_BUILD_URL} | grep 'ISO:' | awk '{print $2}' | sed 's/iso/properties/g')
 if [[ -z "FUEL_PROPERTIES_FILE" ]]; then
     echo "Unable to extract the url to Fuel ISO properties from ${FUEL_DEPLOY_URL}"
@@ -29,8 +29,8 @@ if [[ -z "FUEL_PROPERTIES_FILE" ]]; then
 fi
 
 # use known/working version of fuel
-FUEL_PROPERTIES_FILE="opnfv-2017-03-06_16-00-15.properties"
-curl -L -s -o $WORKSPACE/latest.properties http://artifacts.opnfv.org/fuel/$FUEL_PROPERTIES_FILE
+#FUEL_PROPERTIES_FILE="opnfv-2017-03-06_16-00-15.properties"
+curl -L -s -o $WORKSPACE/latest.properties $GS_PATH/$FUEL_PROPERTIES_FILE
 
 # source the file so we get OPNFV vars
 source latest.properties
index 23c95f6..06cefb6 100644 (file)
             branch: '{stream}'
             gs-pathname: ''
             disabled: false
-            timed: '@midnight'
+            timed: '0 12 * * *'
+        - danube:
+            branch: 'stable/{stream}'
+            gs-pathname: '/{stream}'
+            disabled: false
+            timed: '0 0 * * *'
 
 - job-template:
     name: 'multisite-kingbird-virtual-daily-{stream}'
         - string:
             name: KINGBIRD_LOG_FILE
             default: $WORKSPACE/kingbird.log
+        - string:
+            name: GS_PATH
+            default: 'http://artifacts.opnfv.org/fuel{gs-pathname}'
         - 'fuel-defaults'
         - '{slave-label}-defaults'
         - choice:
diff --git a/jjb/xci/xci-daily-jobs.yml b/jjb/xci/xci-daily-jobs.yml
new file mode 100644 (file)
index 0000000..92fa80e
--- /dev/null
@@ -0,0 +1,218 @@
+- project:
+    name: 'bifrost-osa-daily'
+#--------------------------------
+# BRANCH ANCHORS
+#--------------------------------
+    master: &master
+        stream: master
+        branch: '{stream}'
+        gs-pathname: ''
+    ocata: &ocata
+        stream: ocata
+        branch: 'stable/{stream}'
+        gs-pathname: '/{stream}'
+#--------------------------------
+#       scenarios
+#--------------------------------
+    scenario:
+        # HA scenarios
+        - 'os-nosdn-nofeature-ha':
+            auto-trigger-name: 'daily-trigger-disabled'
+#--------------------------------
+#        XCI PODs
+#--------------------------------
+    pod:
+        - virtual:
+            <<: *master
+#--------------------------------
+#        Supported Distros
+#--------------------------------
+    distro:
+        - 'xenial':
+            disabled: false
+            slave-label: xci-xenial-virtual
+            dib-os-release: 'xenial'
+            dib-os-element: 'ubuntu-minimal'
+            dib-os-packages: 'vlan,vim,less,bridge-utils,sudo,language-pack-en,iputils-ping,rsyslog,curl,python,debootstrap,ifenslave,ifenslave-2.6,lsof,lvm2,tcpdump,nfs-kernel-server,chrony'
+            extra-dib-elements: 'openssh-server'
+        - 'centos7':
+            disabled: true
+            slave-label: xci-centos7-virtual
+            dib-os-release: '7'
+            dib-os-element: 'centos7'
+            dib-os-packages: 'vim,less,bridge-utils,iputils,rsyslog,curl'
+            extra-dib-elements: 'openssh-server'
+        - 'suse':
+            disabled: true
+            slave-label: xci-suse-virtual
+            dib-os-release: '42.2'
+            dib-os-element: 'opensuse-minimal'
+            dib-os-packages: 'vim,less,bridge-utils,iputils,rsyslog,curl'
+            extra-dib-elements: 'openssh-server'
+#--------------------------------
+#        Phases
+#--------------------------------
+    phase:
+        - 'provision':
+            project: 'openstack'
+            project-repo: 'https://git.openstack.org/openstack/bifrost'
+            project-branch: '{branch}'
+            clone-location: '/opt/bifrost'
+        - 'deploy':
+            project: 'openstack'
+            project-repo: 'https://git.openstack.org/openstack/openstack-ansible'
+            project-branch: '{branch}'
+            clone-location: '/opt/openstack-ansible'
+        - 'functest':
+            project: 'opnfv'
+            project-repo: 'https://gerrit.opnfv.org/gerrit/functest'
+            project-branch: 'master'
+            clone-location: '/opt/functest'
+#--------------------------------
+# jobs
+#--------------------------------
+    jobs:
+        - 'xci-{scenario}-{pod}-{distro}-daily-{stream}'
+        - 'xci-{phase}-{pod}-{distro}-daily-{stream}'
+
+#--------------------------------
+# job templates
+#--------------------------------
+- job-template:
+    name: 'xci-{scenario}-{pod}-{distro}-daily-{stream}'
+
+    disabled: '{obj:disabled}'
+
+    concurrent: false
+
+    properties:
+        - logrotate-default
+        - build-blocker:
+            use-build-blocker: true
+            blocking-jobs:
+                - 'xci-os-.*?-{pod}-daily-.*'
+            block-level: 'NODE'
+
+    parameters:
+        - string:
+            name: DEPLOY_SCENARIO
+            default: '{scenario}'
+        - label:
+            name: SLAVE_LABEL
+            default: '{slave-label}'
+
+    triggers:
+        - '{auto-trigger-name}'
+
+    builders:
+        - description-setter:
+            description: "Built on $NODE_NAME"
+        - trigger-builds:
+            - project: 'xci-provision-{pod}-{distro}-daily-{stream}'
+              current-parameters: false
+              predefined-parameters:
+                DEPLOY_SCENARIO={scenario}
+              same-node: true
+              block: true
+        - trigger-builds:
+            - project: 'xci-deploy-{pod}-{distro}-daily-{stream}'
+              current-parameters: false
+              predefined-parameters:
+                DEPLOY_SCENARIO={scenario}
+              same-node: true
+              block: true
+        - trigger-builds:
+            - project: 'xci-functest-{pod}-{distro}-daily-{stream}'
+              current-parameters: false
+              predefined-parameters:
+                DEPLOY_SCENARIO={scenario}
+              same-node: true
+              block: true
+              block-thresholds:
+                build-step-failure-threshold: 'never'
+                failure-threshold: 'never'
+                unstable-threshold: 'FAILURE'
+
+    publishers:
+        - email:
+            recipients: fatih.degirmenci@ericsson.com yroblamo@redhat.com mchandras@suse.de jack.morgan@intel.com julienjut@gmail.com
+
+- job-template:
+    name: 'xci-{phase}-{pod}-{distro}-daily-{stream}'
+
+    disabled: '{obj:disabled}'
+
+    concurrent: false
+
+    properties:
+        - logrotate-default
+        - build-blocker:
+            use-build-blocker: true
+            blocking-jobs:
+                - 'xci-provision-.*?-{pod}-daily-.*'
+                - 'xci-deploy-.*?-{pod}-daily-.*'
+                - 'xci-functest-.*?-{pod}-daily-.*'
+            block-level: 'NODE'
+
+    parameters:
+        - string:
+            name: PROJECT
+            default: '{project}'
+        - string:
+            name: PROJECT_REPO
+            default: '{project-repo}'
+        - string:
+            name: DEPLOY_SCENARIO
+            default: '{scenario}'
+        - string:
+            name: CLONE_LOCATION
+            default: '{clone-location}'
+        - string:
+            name: DISTRO
+            default: '{distro}'
+        - string:
+            name: DIB_OS_RELEASE
+            default: '{dib-os-release}'
+        - string:
+            name: DIB_OS_ELEMENT
+            default: '{dib-os-element}'
+        - string:
+            name: EXTRA_DIB_ELEMENTS
+            default: '{extra-dib-elements}'
+        - string:
+            name: DIB_OS_PACKAGES
+            default: '{dib-os-packages}'
+        - string:
+            name: CLEAN_DIB_IMAGES
+            default: 'true'
+
+    scm:
+        - git:
+            url: '$PROJECT_REPO'
+            branches:
+                - 'origin/{project-branch}'
+            wipe-workspace: true
+            timeout: 15
+
+    builders:
+        - description-setter:
+            description: "Built on $NODE_NAME - Scenario: $DEPLOY_SCENARIO"
+        - 'xci-{phase}-builder'
+#---------------------------
+# builder macros
+#---------------------------
+- builder:
+    name: xci-provision-builder
+    builders:
+        - shell:
+            !include-raw: ./xci-provision.sh
+- builder:
+    name: xci-deploy-builder
+    builders:
+        - shell:
+            !include-raw: ./xci-deploy.sh
+- builder:
+    name: xci-functest-builder
+    builders:
+        - shell:
+            !include-raw: ./xci-functest.sh
diff --git a/jjb/xci/xci-deploy.sh b/jjb/xci/xci-deploy.sh
new file mode 100755 (executable)
index 0000000..b97b24e
--- /dev/null
@@ -0,0 +1,3 @@
+#!/bin/bash
+
+echo "Deployment via openstack-ansible"
diff --git a/jjb/xci/xci-functest.sh b/jjb/xci/xci-functest.sh
new file mode 100755 (executable)
index 0000000..0f58dfe
--- /dev/null
@@ -0,0 +1,3 @@
+#!/bin/bash
+
+echo "Functional testing with functest"
diff --git a/jjb/xci/xci-provision.sh b/jjb/xci/xci-provision.sh
new file mode 100755 (executable)
index 0000000..b77c79c
--- /dev/null
@@ -0,0 +1,3 @@
+#!/bin/bash
+
+echo "Provisioning via bifrost"
index b73092b..1138da9 100755 (executable)
@@ -20,6 +20,10 @@ for vm in $(virsh list --all --name); do
     virsh destroy $vm || true
     virsh undefine $vm || true
 done
+# Delete all hosts from vbmc (look for a port number)
+for vm in $(vbmc list | awk '/[0-9]/{{ print $2 }}'); do
+    vbmc delete $vm
+done
 
 service ironic-conductor stop || true
 
@@ -47,6 +51,6 @@ rm -rf /var/lib/libvirt/images/*.qcow2
 echo "restarting services"
 service dnsmasq restart || true
 service libvirtd restart
-service ironic-api restart || true 
+service ironic-api restart || true
 service ironic-conductor start || true
 service ironic-inspector restart || true
diff --git a/prototypes/bifrost/scripts/osa-bifrost-deployment.sh b/prototypes/bifrost/scripts/osa-bifrost-deployment.sh
new file mode 100755 (executable)
index 0000000..cca30c2
--- /dev/null
@@ -0,0 +1,142 @@
+#!/bin/bash
+# SPDX-license-identifier: Apache-2.0
+##############################################################################
+# Copyright (c) 2016 Ericsson AB and others.
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+set -eux
+set -o pipefail
+export PYTHONUNBUFFERED=1
+SCRIPT_HOME="$(cd "$(dirname "$0")" && pwd)"
+BIFROST_HOME=$SCRIPT_HOME/..
+ANSIBLE_INSTALL_ROOT=${ANSIBLE_INSTALL_ROOT:-/opt/stack}
+ENABLE_VENV="false"
+USE_DHCP="false"
+USE_VENV="false"
+BUILD_IMAGE=true
+BAREMETAL_DATA_FILE=${BAREMETAL_DATA_FILE:-'/tmp/baremetal.json'}
+PROVISION_WAIT_TIMEOUT=${PROVISION_WAIT_TIMEOUT:-3600}
+
+# Set defaults for ansible command-line options to drive the different
+# tests.
+
+# NOTE(TheJulia/cinerama): The variables defined on the command line
+# for the default and DHCP tests are to drive the use of Cirros as the
+# deployed operating system, and as such sets the test user to cirros,
+# and writes a debian style interfaces file out to the configuration
+# drive as cirros does not support the network_info.json format file
+# placed in the configuration drive. The "build image" test does not
+# use cirros.
+
+TEST_VM_NUM_NODES=6
+export TEST_VM_NODE_NAMES="jumphost controller00 controller01 controller02 compute00 compute01"
+export VM_DOMAIN_TYPE="kvm"
+# 8 vCPU, 60 GB HDD are minimum equipment
+export VM_CPU=${VM_CPU:-8}
+export VM_DISK=${VM_DISK:-100}
+export VM_DISK_CACHE=${VM_DISK_CACHE:-unsafe}
+TEST_PLAYBOOK="test-bifrost-infracloud.yaml"
+USE_INSPECTOR=true
+USE_CIRROS=false
+TESTING_USER=root
+# seting the memory to 16 GB to make more easily success
+# 8 GB RAM is minimum equipment, but it work with at least 12 GB.
+VM_MEMORY_SIZE=${VM_MEMORY_SIZE:-16384}
+DOWNLOAD_IPA=true
+CREATE_IPA_IMAGE=false
+INSPECT_NODES=true
+INVENTORY_DHCP=false
+INVENTORY_DHCP_STATIC_IP=false
+WRITE_INTERFACES_FILE=true
+
+# Set BIFROST_INVENTORY_SOURCE
+export BIFROST_INVENTORY_SOURCE=/tmp/baremetal.json
+
+# DIB custom elements path
+export ELEMENTS_PATH=/opt/puppet-infracloud/files/elements
+
+# settings for console access
+export DIB_DEV_USER_PWDLESS_SUDO=yes
+export DIB_DEV_USER_PASSWORD=devuser
+
+# settings for distro: trusty/ubuntu-minimal, 7/centos7
+export DIB_OS_RELEASE=${DIB_OS_RELEASE:-xenial}
+export DIB_OS_ELEMENT=${DIB_OS_ELEMENT:-ubuntu-minimal}
+
+# for centos 7: "vim,less,bridge-utils,iputils,rsyslog,curl"
+export DIB_OS_PACKAGES=${DIB_OS_PACKAGES:-"vlan,vim,less,bridge-utils,sudo,language-pack-en,iputils-ping,rsyslog,curl,python,debootstrap,ifenslave,ifenslave-2.6,lsof,lvm2,tcpdump,nfs-kernel-server,chrony"}
+
+# Additional dib elements
+export EXTRA_DIB_ELEMENTS=${EXTRA_DIB_ELEMENTS:-"openssh-server"}
+
+# Source Ansible
+# NOTE(TheJulia): Ansible stable-1.9 source method tosses an error deep
+# under the hood which -x will detect, so for this step, we need to suspend
+# and then re-enable the feature.
+set +x +o nounset
+$SCRIPT_HOME/env-setup.sh
+source ${ANSIBLE_INSTALL_ROOT}/ansible/hacking/env-setup
+ANSIBLE=$(which ansible-playbook)
+set -x -o nounset
+
+logs_on_exit() {
+    $SCRIPT_HOME/collect-test-info.sh
+}
+trap logs_on_exit EXIT
+
+# Change working directory
+cd $BIFROST_HOME/playbooks
+
+# Syntax check of dynamic inventory test path
+for task in syntax-check list-tasks; do
+    ${ANSIBLE} -vvvv \
+           -i inventory/localhost \
+           test-bifrost-create-vm.yaml \
+           --${task}
+    ${ANSIBLE} -vvvv \
+           -i inventory/localhost \
+           ${TEST_PLAYBOOK} \
+           --${task} \
+           -e testing_user=${TESTING_USER}
+done
+
+# Create the test VMS
+${ANSIBLE} -vvvv \
+       -i inventory/localhost \
+       test-bifrost-create-vm.yaml \
+       -e test_vm_num_nodes=${TEST_VM_NUM_NODES} \
+       -e test_vm_memory_size=${VM_MEMORY_SIZE} \
+       -e enable_venv=${ENABLE_VENV} \
+       -e test_vm_domain_type=${VM_DOMAIN_TYPE} \
+       -e baremetal_json_file=${BAREMETAL_DATA_FILE}
+
+# Execute the installation and VM startup test.
+${ANSIBLE} -vvvv \
+    -i inventory/bifrost_inventory.py \
+    ${TEST_PLAYBOOK} \
+    -e use_cirros=${USE_CIRROS} \
+    -e testing_user=${TESTING_USER} \
+    -e test_vm_num_nodes=${TEST_VM_NUM_NODES} \
+    -e inventory_dhcp=${INVENTORY_DHCP} \
+    -e inventory_dhcp_static_ip=${INVENTORY_DHCP_STATIC_IP} \
+    -e enable_venv=${ENABLE_VENV} \
+    -e enable_inspector=${USE_INSPECTOR} \
+    -e inspect_nodes=${INSPECT_NODES} \
+    -e download_ipa=${DOWNLOAD_IPA} \
+    -e create_ipa_image=${CREATE_IPA_IMAGE} \
+    -e write_interfaces_file=${WRITE_INTERFACES_FILE} \
+    -e ipv4_gateway=192.168.122.1 \
+    -e wait_timeout=${PROVISION_WAIT_TIMEOUT}
+EXITCODE=$?
+
+if [ $EXITCODE != 0 ]; then
+    echo "****************************"
+    echo "Test failed. See logs folder"
+    echo "****************************"
+fi
+
+exit $EXITCODE
index 95f5931..79625d2 100755 (executable)
@@ -4,7 +4,6 @@ export OSA_PATH=/opt/openstack-ansible
 export LOG_PATH=$OSA_PATH/log
 export PLAYBOOK_PATH=$OSA_PATH/playbooks
 export OSA_BRANCH=${OSA_BRANCH:-"master"}
-
 JUMPHOST_IP="192.168.122.2"
 
 sudo /bin/rm -rf $LOG_PATH
index 71f54ec..9464384 100644 (file)
@@ -2,5 +2,7 @@
 OSA_URL: https://git.openstack.org/openstack/openstack-ansible
 OSA_PATH: /opt/openstack-ansible
 OSA_ETC_PATH: /etc/openstack_deploy
+OSA_BRANCH: "{{ lookup('env','OSA_BRANCH') }}"
+
 JUMPHOST_IP: 192.168.122.2
 host_info: {'jumphost':{'MGMT_IP': '172.29.236.10','VLAN_IP': '192.168.122.2', 'STORAGE_IP': '172.29.244.10'},'controller00':{'MGMT_IP': '172.29.236.11','VLAN_IP': '192.168.122.3', 'STORAGE_IP': '172.29.244.11'},'controller01':{'MGMT_IP': '172.29.236.12','VLAN_IP': '192.168.122.4', 'STORAGE_IP': '172.29.244.12'},'controller02':{'MGMT_IP': '172.29.236.13','VLAN_IP': '192.168.122.5', 'STORAGE_IP': '172.29.240.13'},'compute00':{'MGMT_IP': '172.29.236.14','VLAN_IP': '192.168.122.6','VLAN_IP_SECOND': '173.29.241.1','VXLAN_IP': '172.29.240.14', 'STORAGE_IP': '172.29.244.14'},'compute01':{'MGMT_IP': '172.29.236.15','VLAN_IP': '192.168.122.7','VLAN_IP_SECOND': '173.29.241.2','VXLAN_IP': '172.29.240.15', 'STORAGE_IP': '172.29.244.15'}}
index f77136e..c89e619 100644 (file)
@@ -28,6 +28,7 @@ class TestCase(object):
                                'tempest_smoke_serial': 'Tempest (smoke)',
                                'tempest_full_parallel': 'Tempest (full)',
                                'tempest_defcore': 'Tempest (Defcore)',
+                               'refstack_defcore': 'Refstack',
                                'rally_sanity': 'Rally (smoke)',
                                'bgpvpn': 'bgpvpn',
                                'rally_full': 'Rally (full)',
@@ -47,6 +48,11 @@ class TestCase(object):
                                'snaps_smoke': 'SNAPS',
                                'snaps_health_check': 'Health (dhcp)',
                                'netready': 'Netready',
+                               'fds': 'FDS',
+                               'cloudify_ims': 'vIMS (Cloudify)',
+                               'orchestra_ims': 'OpenIMS (OpenBaton)',
+                               'opera_ims': 'vIMS (Open-O)',
+                               'vyos_vrouter': 'vyos',
                                'barometer': 'Barometer'}
         try:
             self.displayName = display_name_matrix[self.name]
@@ -127,6 +133,7 @@ class TestCase(object):
                              'tempest_smoke_serial': 'tempest_smoke_serial',
                              'tempest_full_parallel': 'tempest_full_parallel',
                              'tempest_defcore': 'tempest_defcore',
+                             'refstack_defcore': 'refstack_defcore',
                              'rally_sanity': 'rally_sanity',
                              'bgpvpn': 'bgpvpn',
                              'rally_full': 'rally_full',
@@ -146,6 +153,11 @@ class TestCase(object):
                              'snaps_smoke': 'snaps_smoke',
                              'snaps_health_check': 'snaps_health_check',
                              'netready': 'gluon_vping',
+                             'fds': 'fds',
+                             'cloudify_ims': 'cloudify_ims',
+                             'orchestra_ims': 'orchestra_ims',
+                             'opera_ims': 'opera_ims',
+                             'vyos_vrouter': 'vyos_vrouter',
                              'barometer': 'barometercollectd'}
         try:
             return test_match_matrix[self.name]